<?php

declare(strict_types=1);

namespace Drupal\Tests\hubspot_api\Functional;

use Drupal\Core\Url;
use Drupal\Tests\BrowserTestBase;
use PHPUnit\Framework\Attributes\Group;

/**
 * Test Hubspot API module.
 */
#[Group('hubspot_api')]
final class HubspotApiTest extends BrowserTestBase {

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'claro';

  /**
   * {@inheritdoc}
   */
  protected static $modules = ['hubspot_api'];

  /**
   * Test callback.
   */
  public function testSomething(): void {
    $admin_user = $this->drupalCreateUser(['administer site configuration']);
    $this->drupalLogin($admin_user);
    $this->drupalGet(Url::fromRoute('hubspot_api.settings'));
    $this->assertSession()->elementExists('xpath', '//h1[text() = "HubSpot API Settings"]');
  }

}
